%define oname   spellcheck
Name:           plasma-applet-spellcheck
Summary:        plasmoid for fast spell checking
Version:        2.0
Release:        %mkrel 7
Url:            http://kde-look.org/content/show.php/Spell+Check?content=94113
License:        GPL
Group:          Graphical desktop/KDE4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        94113-%{oname}-%{version}.tar.xz
BuildRequires:  rpmlib(CompressedFileNames) <= 3.0.4-1
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
Simple plasmoid for fast spell checking. Click on icon to check spelling of clipboard content or write some text in text edit.
Developed and tested on KDE 4.1.2

Features:
- checking clipboard contents directly after clicking on icon or activating keyboard shortcut;
- possibility to drag file on text edit to check spelling of contents;
- button for fast copying of text to clipboard;
- button to start spell checking with correction suggestions;
- combo box to select language


%prep
%setup -q -n %{oname}-%{version}


%build
%cmake_kde4
%make

%install
rm -fr %buildroot
cd build
%{makeinstall_std}
cd -


%files
%defattr(-,root,root)

%{_libdir}/kde4/plasma_applet_spellcheck.so
%{_kde_datadir}/kde4/services/plasma-applet-spellcheck.desktop
%{_kde_datadir}/locale/*


%clean
rm -rf "%{buildroot}"


%changelog
* Sun Nov 10 2013 bb <bb>
- update for new kde

